cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Pixma iP6600D drivers for macOS High Sierra and support for CLI-8 ink cartridges

Dan650
Apprentice

Does anyone know where I can download the driver for the Pixma iP6600D running macOS High Sierra? Canon no longer supports it, or the latest version of printer that still uses the CLI-8 ink cartridges?

1 ACCEPTED SOLUTION

Danny
Moderator
Moderator

Thanks for letting us know what Canon product you've got. The PIXMA IP6600D is an older model which we have retired. While that means that Canon USA no longer offers direct support for it, your friends here in the Canon Community are welcome to offer suggestions!

You can also speak with a Canon Upgrade Program specialist to help you score a modern replacement that would meet your current needs at a discount. You can reach them weekdays and Saturdays at 1-866-443-8002.

Hope this helps!

View solution in original post

1 REPLY 1

Danny
Moderator
Moderator

Thanks for letting us know what Canon product you've got. The PIXMA IP6600D is an older model which we have retired. While that means that Canon USA no longer offers direct support for it, your friends here in the Canon Community are welcome to offer suggestions!

You can also speak with a Canon Upgrade Program specialist to help you score a modern replacement that would meet your current needs at a discount. You can reach them weekdays and Saturdays at 1-866-443-8002.

Hope this helps!

Announcements